# class Hash

### Public Instance Methods

to_zaml(z) click to toggle source

    # File lib/puppet/util/zaml.rb, line 342
    def to_zaml(z)
      z.first_time_only(self) {
        z.nested {
          if empty?
            z.emit('{}')
          else
            each_pair { |k, v|
              z.nl
              z.prefix_structured_keys('? ') { k.to_zaml(z) }
              z.emit(': ')
              v.to_zaml(z)
            }
          end
        }
      }
    end